### Method

# Gtk TextBuffer get_iter_at_offset

#### Declaration [src]

    void
    gtk_text_buffer_get_iter_at_offset (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      int char_offset
    )

#### Description [src]

Initializes `iter` to a position `char_offset` chars from the start of the entire buffer.

If `char_offset` is -1 or greater than the number of characters in the buffer, `iter` is initialized to the end iterator, the iterator one past the last valid character in the buffer.

#### Parameters

`iter` | `GtkTextIter`
| Iterator to initialize.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`char_offset` | `int`
| Char offset from start of buffer, counting from 0, or -1.